
module M {

typedef long LONG;

#pragma prefix "omg.org"

interface A {
  void bar();
  void bar1();
  #pragma prefix "test"
  void bar2();
  void bar3();
  #pragma ID bar3 "LOCAL:weird"
};

struct S {
  char c;
};

exception E {
  long err;
};

};

#pragma version ::M::A::bar2 3.14159
#pragma version M::E 2.1

typedef long LONG;

